For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETAccount Benchmark Quantiles
      • GETAccount Benchmark Scaling
      • GETAccount Available Models
      • GETAccount Benchmark Tradeoff At Scale
      • GETBenchmark Quantiles Route
      • GETBenchmark Tradeoff At Scale Route
      • GETBenchmark Scaling
      • GETBenchmark Available Models
      • GETAvailable Company Categories
      • GETBenchmark Combined Time Series
      • GETBenchmark Time Series Endpoint
      • GETDeal Benchmark Quantiles
      • GETDeal Benchmark Tradeoff At Scale
      • GETColumns Metadata
      • GETModels Metadata
      • GETCategories Metadata
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataBenchmarking

Benchmark Combined Time Series

GET
/api/v1/group/:group_id/deal/:deal_id/data/benchmark/combined-time-series/:user_type
GET
/api/v1/group/:group_id/deal/:deal_id/data/benchmark/combined-time-series/:user_type
$curl https://app.termina.ai/api/v1/group/1/deal/1/data/benchmark/combined-time-series/business \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "date": "2021-01",
4 "method": "product",
5 "revenue": 100000,
6 "rolling_3m_average_revenue": 100000,
7 "annualized_revenue": 120000,
8 "rolling_3m_annualized_revenue": 120000,
9 "revenue_share_of_top_20_percent": 0.7,
10 "revenue_share_of_top_10_count": 0.5,
11 "average_to_median": 1.5,
12 "gini_coefficient": 0.4,
13 "lifetime_quick_ratio": 1.5,
14 "lifetime_gross_retention": 0.85,
15 "lifetime_net_churn": 0.05,
16 "cmgr3": 0.05,
17 "cmgr6": 0.1,
18 "cmgr12": 0.2,
19 "yoy": 1.5,
20 "operating_margin": -0.1,
21 "quarterly_operating_margin": -0.08,
22 "ebitcac_margin": -0.05,
23 "quarterly_ebitcac_margin": -0.04,
24 "gross_margin": 0.6,
25 "quarterly_gross_margin": 0.55,
26 "magic_number": 1,
27 "margin_magic_number": 0.6,
28 "rule_of_40": 0.4,
29 "cac_of_40": 0.35,
30 "burn_multiple": 1,
31 "margin_burn_multiple": 1,
32 "roas": 1,
33 "margin_roas": 0.6,
34 "acquisition_spend": 10000,
35 "total_opex": 50000,
36 "logo_retention_6m": 0.9,
37 "logo_retention_12m": 0.8,
38 "revenue_retention_6m": 0.95,
39 "revenue_retention_12m": 0.9,
40 "ltv_6m": 5000,
41 "ltv_12m": 10000,
42 "ltv6_cac": 5,
43 "ltv12_cac": 10,
44 "gmltv6_cac": 4,
45 "gmltv12_cac": 8,
46 "lifetime_ltv6_cac": 5,
47 "lifetime_ltv12_cac": 10,
48 "lifetime_gmltv6_cac": 4,
49 "lifetime_gmltv12_cac": 8,
50 "cac": 1000,
51 "irr": 0.15,
52 "periods_to_payback": 12,
53 "employee_count": 25,
54 "cumulative_person_years": 50,
55 "employee_retention_1yr": 0.85,
56 "employee_retention_2yr": 0.75,
57 "average_years_of_experience": 3,
58 "lifetime_employee_retention": 0.8,
59 "percent_employees_sales_and_marketing": 0.4,
60 "fully_loaded_employee_cost": 100000,
61 "annualized_revenue_per_employee": 80000
62 }
63]
Get the combined time series data for the deal.
Was this page helpful?
Previous

Benchmark Time Series Endpoint

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_typeenumRequired
group_idintegerRequired
deal_idintegerRequired

Response

Successful Response
datestring

Date of the revenue metric (YYYY-MM)

methodstring

Method used to calculate revenue (product or financials)

revenuedouble or null
Revenue
rolling_3m_average_revenuedouble or null

Average Revenue (Rolling Q)

annualized_revenuedouble or null
Annualized Revenue
rolling_3m_annualized_revenuedouble or null

Annualized Revenue (Rolling Q)

revenue_share_of_top_20_percentdouble or null

Revenue Share of Top 20%

revenue_share_of_top_10_countdouble or null
Revenue Share of Top 10 Users
average_to_mediandouble or null
Average to Median Revenue
gini_coefficientdouble or null
Gini Coefficient
lifetime_quick_ratiodouble or null
Average Quick Ratio
lifetime_gross_retentiondouble or null
Average Gross Retention
lifetime_net_churndouble or null
Average Net Churn
cmgr3double or null
CMGR3
cmgr6double or null
CMGR6
cmgr12double or null
CMGR12
yoydouble or null
YoY Growth
operating_margindouble or null
Operating Margin
quarterly_operating_margindouble or null

Operating Margin (Rolling Q)

ebitcac_margindouble or null
EBITCAC Margin
quarterly_ebitcac_margindouble or null

EBITCAC Margin (Rolling Q)

gross_margindouble or null
Gross Margin
quarterly_gross_margindouble or null

Gross Margin (Rolling Q)

magic_numberdouble or null
Magic Number
margin_magic_numberdouble or null
Margin Magic Number
rule_of_40double or null
Rule of 40
cac_of_40double or null
CAC of 40
burn_multipledouble or null
Burn Multiple
margin_burn_multipledouble or null
Margin Burn Multiple
roasdouble or null

Proxy for Return on Ad Spend (ROAS)

margin_roasdouble or null
Gross Margin adjusted ROAS
acquisition_spenddouble or null
Acquisition Spend
total_opexdouble or null
Total OPEX
logo_retention_6mdouble or null

Logo Retention (6M)

logo_retention_12mdouble or null

Logo Retention (12M)

revenue_retention_6mdouble or null

Revenue Retention (6M)

revenue_retention_12mdouble or null

Revenue Retention (12M)

ltv_6mdouble or null
LTV6
ltv_12mdouble or null
LTV12
ltv6_cacdouble or null

LTV6/CAC

ltv12_cacdouble or null

LTV12/CAC

gmltv6_cacdouble or null

gmLTV6/CAC

gmltv12_cacdouble or null

gmLTV12/CAC

lifetime_ltv6_cacdouble or null

Average LTV6/CAC

lifetime_ltv12_cacdouble or null

Average LTV12/CAC

lifetime_gmltv6_cacdouble or null

Average gmLTV6/CAC

lifetime_gmltv12_cacdouble or null

Average gmLTV12/CAC

cacdouble or null
CAC
irrdouble or null
IRR
periods_to_paybackdouble or null
Months to Payback
employee_countdouble or null
Number of Employees
cumulative_person_yearsdouble or null
Cumulative Years of Effort
employee_retention_1yrdouble or null

Employee Retention (1Y)

employee_retention_2yrdouble or null

Employee Retention (2Y)

average_years_of_experiencedouble or null

Average Employee Experience (Years)

lifetime_employee_retentiondouble or null
Lifetime Employee Retention
percent_employees_sales_and_marketingdouble or null

Sales + Marketing (% Employees)

fully_loaded_employee_costdouble or null

Fully-Loaded Employee Cost

annualized_revenue_per_employeedouble or null
Annualized Revenue per Employee

Errors

422
Unprocessable Entity Error